Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class ColorExt

    java.lang.Object
      java.awt.Color
          org.apache.fop.util.ColorExt

All Implemented Interfaces:
  java.awt.Paint, java.awt.Transparency, java.io.Serializable

Deprecated. Replaced by `ColorWithAlternatives`

    @Deprecated
    public final class ColorExt

extends java.awt.Color

Color helper class.

This class extends java.awt.Color class keeping track of the original color property values specified by the fo user in a rgb-icc call.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.Color
`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Method Summary
`static ColorExt` | `createFromFoRgbIcc(float redReplacement, float greenReplacement, float blueReplacement, java.lang.String profileName, java.lang.String profileSrc, java.awt.color.ColorSpace colorSpace, float[] iccValues)` Deprecated. Create ColorExt object backup up FO's rgb-icc color function
`static ColorExt` | `createFromSvgIccColor(float red, float green, float blue, float opacity, java.lang.String profileName, java.lang.String profileHref, java.awt.color.ColorSpace profileCS, float[] colorValues)` Deprecated. Create ColorExt object backing up SVG's icc-color function.
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`java.lang.String` | `getIccProfileName()` Deprecated. Get ICC profile name
`java.lang.String` | `getIccProfileSrc()` Deprecated. Get ICC profile source
`java.awt.color.ColorSpace` | `getOrigColorSpace()` Deprecated.
`float[]` | `getOriginalColorComponents()` Deprecated. Returns the original color values.
`int` | `hashCode()` Deprecated.
`java.lang.String` | `toFunctionCall()` Deprecated. Create string representation of fop-rgb-icc function call to map this ColorExt settings

Methods inherited from class java.awt.Color
`brighter, createContext, darker, decode, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### createFromFoRgbIcc

    public static ColorExt createFromFoRgbIcc(float redReplacement,
                                              float greenReplacement,
                                              float blueReplacement,
                                              java.lang.String profileName,
                                              java.lang.String profileSrc,
                                              java.awt.color.ColorSpace colorSpace,
                                              float[] iccValues)

  Deprecated.
  Create ColorExt object backup up FO's rgb-icc color function

  Parameters:
    `redReplacement` - Red part of RGB replacement color that will be used when ICC profile can not be loaded
    `greenReplacement` - Green part of RGB replacement color that will be used when ICC profile can not be loaded
    `blueReplacement` - Blue part of RGB replacement color that will be used when ICC profile can not be loaded
    `profileName` - Name of ICC profile
    `profileSrc` - Source of ICC profile
    `colorSpace` - ICC ColorSpace for the ICC profile
    `iccValues` - color values
  Returns:
    the requested color object

### createFromSvgIccColor

    public static ColorExt createFromSvgIccColor(float red,
                                                 float green,
                                                 float blue,
                                                 float opacity,
                                                 java.lang.String profileName,
                                                 java.lang.String profileHref,
                                                 java.awt.color.ColorSpace profileCS,
                                                 float[] colorValues)

  Deprecated.
  Create ColorExt object backing up SVG's icc-color function.

  Parameters:
    `red` - Red value resulting from the conversion from the user provided (icc) color values to the batik (rgb) color space
    `green` - Green value resulting from the conversion from the user provided (icc) color values to the batik (rgb) color space
    `blue` - Blue value resulting from the conversion from the user provided (icc) color values to the batik (rgb) color space
    `opacity` - Opacity
    `profileName` - ICC profile name
    `profileHref` - the URI to the color profile
    `profileCS` - ICC ColorSpace profile
    `colorValues` - ICC color values
  Returns:
    the requested color object

### hashCode

    public int hashCode()

  Deprecated.

  Overrides:
    `hashCode` in class `java.awt.Color`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.

  Overrides:
    `equals` in class `java.awt.Color`

### getIccProfileName

    public java.lang.String getIccProfileName()

  Deprecated.
  Get ICC profile name

  Returns:
    ICC profile name

### getIccProfileSrc

    public java.lang.String getIccProfileSrc()

  Deprecated.
  Get ICC profile source

  Returns:
    ICC profile source

### getOrigColorSpace

    public java.awt.color.ColorSpace getOrigColorSpace()

  Deprecated.
  Returns:
    the original ColorSpace

### getOriginalColorComponents

    public float[] getOriginalColorComponents()

  Deprecated.
  Returns the original color values.

  Returns:
    the original color values

### toFunctionCall

    public java.lang.String toFunctionCall()

  Deprecated.
  Create string representation of fop-rgb-icc function call to map this ColorExt settings

  Returns:
    the string representing the internal fop-rgb-icc() function call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.